Eclipse Draw2d 3.3

## org.eclipse.draw2d.geometry
Class PrecisionDimension

    java.lang.Object
      org.eclipse.draw2d.geometry.Dimension
          org.eclipse.draw2d.geometry.PrecisionDimension

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable, Translatable

public class PrecisionDimension
extends Dimension

See Also:
  Serialized Form

Field Summary
`double` `preciseHeight` The height in double precision.
`double` `preciseWidth` The width in double precision.

Fields inherited from class org.eclipse.draw2d.geometry.Dimension
`height, SINGLETON, width`

Constructor Summary
`PrecisionDimension()` Constructs a new precision dimension.
`PrecisionDimension(Dimension d)` Constructs a precision representation of the given dimension.
`PrecisionDimension(double width, double height)` Constructs a new precision dimension with the given values.

Method Summary
`boolean` `equals(java.lang.Object o)` Returns whether the input Object is equivalent to this Dimension.
`void` `performScale(double factor)` Scales this object by the scale factor.
`double` `preciseHeight()` Returns `double` height
`double` `preciseWidth()` Returns `double` width
`void` `updateInts()` Updates the integer fields using the precise versions.

Methods inherited from class org.eclipse.draw2d.geometry.Dimension
`contains, containsProper, equals, expand, expand, expand, getArea, getCopy, getDifference, getExpanded, getExpanded, getIntersected, getNegated, getScaled, getTransposed, getUnioned, hashCode, intersect, isEmpty, negate, performTranslate, scale, scale, setSize, shrink, toString, transpose, union`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### preciseWidth

    public double preciseWidth

  The width in double precision.

### preciseHeight

    public double preciseHeight

  The height in double precision.

Constructor Detail

### PrecisionDimension

    public PrecisionDimension()

  Constructs a new precision dimension.

### PrecisionDimension

    public PrecisionDimension(double width,
                              double height)

  Constructs a new precision dimension with the given values.

Parameters:
  `width` - the width
  `height` - the height

### PrecisionDimension

    public PrecisionDimension(Dimension d)

  Constructs a precision representation of the given dimension.

Parameters:
  `d` - the reference dimension

Method Detail

### performScale

    public void performScale(double factor)

  Description copied from interface: `Translatable`
  Scales this object by the scale factor.

  Specified by:
    `performScale` in interface `Translatable`
  Overrides:
    `performScale` in class `Dimension`
  See Also:
    `Dimension.performScale(double)`

### updateInts

    public final void updateInts()

  Updates the integer fields using the precise versions.

### preciseWidth

    public double preciseWidth()

  Description copied from class: `Dimension`
  Returns `double` width

  Overrides:
    `preciseWidth` in class `Dimension`
  Returns:
    `double` width
  See Also:
    `Dimension.preciseWidth()`

### preciseHeight

    public double preciseHeight()

  Description copied from class: `Dimension`
  Returns `double` height

  Overrides:
    `preciseHeight` in class `Dimension`
  Returns:
    `double` height
  See Also:
    `Dimension.preciseHeight()`

### equals

    public boolean equals(java.lang.Object o)

  Description copied from class: `Dimension`
  Returns whether the input Object is equivalent to this Dimension. `true` if the Object is a Dimension and its width and height are equal to this Dimension's width and height, `false` otherwise.

  Overrides:
    `equals` in class `Dimension`
  Parameters:
    `o` - the Object being tested for equality
  Returns:
    `true` if the given object is equal to this dimension
  See Also:
    `Dimension.equals(java.lang.Object)`

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.